import re, math, os, random

def highlight(list, search):
    listA = re.sub(search, blank, list)
    listB = ''
    for i in range(len(list)):
        if list[i] != ' ' and list[i] != listA[i]:
            listB += list[i]
        else:
            listB += ' '

    newList = [listA, listB]
    return newList

def blank(matchobj):
    blank = ''
    for x in range(len(matchobj.group(0))):
        blank += ' '
    return blank

def shifter(list, length):
    total = len(list)
    step = math.ceil(total/float(length))
    newList = []
    for i in range(int(step)):
        start = i * length
        end = (i + 1) * length
        newList.append(list[start:end])
    return newList

def switcher(filename, index):
    # return txt.readlines
    path = filename[0:-6]
    index = "%02d" % index
    extension = filename[-4:]
    filename = path + index + extension
    txt = open(filename, 'r')
    return txt.readlines()

def regex(list, search):
    if re.search(search, list):
        return True
    else:
        return False

def subgrid(count, min, max, seed):
    list = []
    random.seed(seed)
    for i in range(count):
        n = -1
        while n % 2:
            n = random.randint(min,max)
            if n == 1:
                break
        list.append(n)
    return list
